Skip to main content
POST
/
poweredby
/
connection
/
edit
/
{connectionId}
Edit Connection
curl --request POST \
  --url https://cloud.cdata.com/api/poweredby/connection/edit/{connectionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "redirectURL": "https://www.google.com"
}
'
{
  "redirectURL": "https://cloud.cdata.com/oem/user/connections/edit/eeef6211-5d6f-4347-b5bb-f99d574e75e5?driver=MailChimp&token=eyJhbGciOiJSUzI1NiIs...truncated...&redirectUrl=https%3A%2F%2Fwww.google.com"
}
Edit Connection returns a string containing the CData-hosted URL to redirect the user to. A successful Edit Connection has the following flow:
1
A successful Edit Connection request generates a URL to the CData-hosted Edit Connection page. The redirectURL in the request body maps to the Return to button on the Edit Connection page.
2
The user clicks Save & Test. The internal API response includes connection details to the CData-hosted Edit Connection page.
3
The user clicks Return to. The connection information is appended to the redirect URL as parameters. The parameters include the following:
  • cdata_connection_id–the connection unique Id.
  • cdata_connection_name–the connection name, such as Salesforce1.
  • cdata_connection_status–the connection status. Values include success, error (connection error), or none (no connection made).
Example 1: URL after successful Save & Test:
https://www.google.com/?cdata_connection_id=da77460c-7438-4288-be66-ea0059c160ae&cdata_connection_name=OData1&cdata_connection_status=success&zx=1773244250880&no_sw_cr=1
Example 2: URL if the user clicks Return to and does not Save & Test:
https://www.google.com/?cdata_connection_status=none&zx=1773252769892&no_sw_cr=1
Example 3: URL after save and unsuccessful test:
https://www.google.com/?cdata_connection_id=507b42e8-94b1-488e-a1d8-5a62d5d74a31&cdata_connection_name=Salesforce1&cdata_connection_status=error&zx=1773252951878&no_sw_cr=1

Authorizations

Authorization
string
header
required

JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication [blocked] for more information on creating a token.

Path Parameters

connectionId
string
required

The connection Id created in Create Connection.

Body

application/json
redirectURL
string
required

The URL to redirect the customer once the customer has edited the connection through the Connect AI UI. This URL maps to the Return to button on the Edit Connection page in the Connect AI UI.

name
string | null

(Optional) If provided, the connection name. By default, this is a suggested default that the end user can change on the Edit Connection form. Set editableName to false to lock the field and enforce the supplied value server-side.

editableName
boolean
default:true

(Optional) The default value is true. When true, any name you supply is shown as a suggested default value, and the end user can change it. When false, the Connection Name field is rendered read-only, and the server enforces the supplied name on submit. Has no effect when name is omitted.

Response

200 - application/json

A string containing the CData-hosted connection URL to redirect the user to.

redirectURL
string
required

A string containing the CData-hosted connection URL to redirect the user to.